# $Revision: 1.47 $, $Date: 2006/11/26 14:20:07 $
# TODO
# - put pl language pack into separate package, such overwriting of
#   the original files is discriminating:)
#   conflicting files list:
#   $ tar tvf ../../../SOURCES/pn-0.760-pl.tar.gz |grep -v /pol/|grep -v '/$'
#   html/docs/COPYING.txt
#   html/includes/pnAPI.php
#   html/includes/templates/dbconnectionerror.htm
#   html/includes/templates/index.html
#   html/includes/templates/siteoff.htm
#   html/install/modify_config.php
#   html/install/newdata.php
#   html/install/upgrade.php
#   html/language/languages.php
#   html/modules/index.html
# - contentexpress module is not installed
# - use system Smarty and adodb
# - %%lang for install/lang/pol,fra,... messages?
Summary:	weblog/Content Management System (CMS)
Summary(pl):	System zarzdzania treci
Name:		postnuke
Version:	0.762
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://downloads.postnuke.com/sf/postnuke/PostNuke-%{version}.tar.gz
# Source0-md5:	ea25bb933c4a99b30854815215dcdbb6
# ContentExpress
%define		_ceversion	1.2.7.5
Source1:	http://dl.sourceforge.net/xexpress/ce-%{_ceversion}.tar.gz
# Source1-md5:	94840261251bbfa5b4b113d0f3c7faef
# Polish lang hpack
Source2:	pn-0.760-pl.tar.gz
# Source2-md5:	635f46d8a622a6cbff23da18ef19c95d
Source3:	%{name}-apache.conf
Patch0:		%{name}-pnTemp.patch
Patch1:		%{name}-config.patch
Patch2:		%{name}-smarty.patch
URL:		http://www.postnuke.com/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	Smarty >= 2.6.10-4
Requires:	php(exif)
Requires:	php(mysql)
Requires:	php(tokenizer)
Requires:	php-common >= 3:4.0.2
Requires:	webapps
Obsoletes:	postnuke-install
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}
%define		_smartyplugindir	/usr/share/php/Smarty/plugins

%description
PostNuke is a weblog/Content Management System (CMS). It is far more
secure and stable than competing products, and able to work in
high-volume environments with ease.

Some of the highlights of PostNuke are:
- Customisation of all aspects of the website's appearance through
  themes, including CSS support
- The ability to specify items as being suitable for either a single
  or all languages
- The best guarantee of displaying your webpages on all browsers due
  to HTML 4.01 transitional compliance
- A standard API and extensive documentation to allow for easy
  creation of extended functionality through modules and blocks

This package includes additional modules:
- ContentExpress-%{_ceversion}

%description -l pl
PostNuke jest systemem zarzdzania treci. Jest duo bardziej
bezpieczny i stabilny ni konkurencyjne produkty i moe z atwoci
dziaa w rodowiskach z duym ruchem.

Niektre zalety PostNuke to:
- konfigurowalno wszystkich aspektw wygldu serwisu WWW poprzez
  motywy, wraz z obsug CSS
- moliwo okrelenia elementw jako odpowiednich dla jednego lub
  wszystkich jzykw
- najlepsza gwarancja wywietlania stron we wszystkich przegldarkach
  dziki zgodnoci ze standardem HTML 4.01 transitional
- standardowe API i obszerna dokumentacja, pozwalajce na atwe
  tworzenie dodatkowej funkcjonalnoci poprzez moduy i bloki.

Ten pakiet zawiera dodatkowe moduy:
- ContentExpress-%{_ceversion}

%package setup
Summary:	Postnuke setup package
Summary(pl):	Pakiet do wstpnej konfiguracji Postnuke
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}

%description setup
Install this package to configure initial Postnuke installation. You
should uninstall this package when you're done, as it considered
insecure to keep the setup files in place.

%description setup -l pl
Ten pakiet naley zainstalowa w celu wstpnej konfiguracji Postnuke
po pierwszej instalacji. Potem naley go odinstalowa, jako e
pozostawienie plikw instalacyjnych mogoby by niebezpieczne.

%prep
%setup -q -n PostNuke-%{version} -a1 -a2
find . -type f -print0 | xargs -0 sed -i -e 's,\r$,,'
%patch0 -p1
%patch1 -p1
%patch2 -p1

> html/config-old.php

install -d smarty
mv html/includes/classes/Smarty/plugins/resource.{userdb,var}.php smarty
rm -rf html/includes/classes/Smarty

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir},/var/lib/postnuke,%{_smartyplugindir}}
cp -a html/* $RPM_BUILD_ROOT%{_appdir}
mv $RPM_BUILD_ROOT%{_appdir}/config.php $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_appdir}/config-old.php $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_appdir}/pnTemp $RPM_BUILD_ROOT/var/lib/postnuke

install -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install -p smarty/* $RPM_BUILD_ROOT%{_smartyplugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post setup
chmod 660 %{_sysconfdir}/config.php
chown root:http %{_sysconfdir}/config.php

%postun setup
if [ "$1" = "0" ]; then
	chmod 640 %{_sysconfdir}/config.php
	chown root:http %{_sysconfdir}/config.php
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- %{name} < 0.762-1.7
if [ -f /home/services/httpd/html/postnuke/config.php.rpmsave ]; then
	mv -f %{_sysconfdir}/config.php{,.rpmnew}
	mv -f /home/services/httpd/html/postnuke/config.php.rpmsave %{_sysconfdir}/config.php
fi

# no earlier registration, just register with apache2
if [ -d /etc/httpd/webapps.d ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc phoenix-sql/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.php
%dir %{_appdir}
%{_appdir}/docs
%{_appdir}/images
%{_appdir}/includes
%{_appdir}/javascript
%{_appdir}/language
%{_appdir}/modules
%{_appdir}/themes
%{_appdir}/*.php
%{_appdir}/*.txt
%exclude %{_appdir}/install.php
%{_smartyplugindir}/*

%defattr(644,http,http,755)
/var/lib/postnuke

%files setup
%defattr(644,root,root,755)
%defattr(644,http,http,755)
%{_appdir}/install
%{_appdir}/install.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: postnuke.spec,v $
Revision 1.47  2006/11/26 14:20:07  glen
- rel 2: use php(extension) virtuals

Revision 1.46  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.45  2006/03/09 23:53:20  glen
- config symlink killed
- using system smarty

Revision 1.44  2006/03/09 22:32:58  glen
- webapps framework
- renamed -install to -setup like other webapps do
- changed group to Applications/WWW
- NFY

Revision 1.43  2006/03/09 21:29:38  qboosh
- missing dir, glob syntax fix

Revision 1.42  2006/03/09 20:47:56  glen
- php has epoch

Revision 1.41  2006/03/09 20:28:23  paszczus
- typo

Revision 1.40  2006/03/09 20:13:31  paszczus
- many changes, now works fine (thx sebastian at oclab.ano.pl); STBR

Revision 1.39  2006/02/26 19:53:33  paszczus
- updated to 0.762

Revision 1.38  2005/10/06 21:52:52  paszczus
- updated to 0.761
- updated Polish translation

Revision 1.37  2005/03/13 10:50:59  paszczus
- reverted

Revision 1.35  2005/03/08 20:08:13  paszczus
- updated Polish lang pack

Revision 1.34  2005/03/03 21:23:02  paszczus
- updated to 0.7.5.0a (http://news.postnuke.com/modules.php?op=modload&name=News&file=article&sid=2669)
- removed outdated TODO
- STBR

Revision 1.33  2004/12/15 14:29:56  paszczus
- updated polish translation for 0.750 GOLD
- dropped Source{0,1}-size
- release 3, STBR

Revision 1.32  2004/11/08 09:51:15  blues
- new on

Revision 1.31  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.30  2004/10/12 20:46:30  paszczus
- massive attack: added Sources-size

Revision 1.29  2004/09/28 21:18:36  blues
- SECURITY note. Dedicated to djurban.

Revision 1.28  2004/09/16 22:51:07  aflinta
- rebuild with libexif, release 2

Revision 1.27  2004/09/15 21:08:29  paszczus
- tested. release 1

Revision 1.26  2004/09/15 19:23:28  paszczus
- updated to 0.7.5.0 GOLD
- updated ContentExpress to 1.2.7.5
- removed 3 SECURITY alerts (fix in this version)
- there is still lang pack for 0.7.2.3
- release 0.1 (for tests but should work)

Revision 1.25  2004/09/14 09:33:25  blues
- next one SECURITY hole (in module)

Revision 1.24  2004/08/16 14:18:58  blues
- and next one...

Revision 1.23  2004/08/10 13:46:48  blues
- one more security note

Revision 1.22  2004/08/10 13:44:42  blues
- SECURITY note (not everything)

Revision 1.21  2003/11/17 23:27:04  domelu
- ops, forgot about release up
- release 3

Revision 1.20  2003/11/17 16:46:29  domelu
- update ContentExpress to 1.2.6.0 && change Source1 to sourceforge
- added Source1-md5
- fix patch in %files (missing ,,html/'')

Revision 1.19  2003/08/18 08:09:30  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/08/13 22:52:22  ankry
- description fixes / unification

Revision 1.17  2003/05/28 13:01:21  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:25:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/01 20:43:40  djrzulf
- it works, release 2

Revision 1.14  2003/04/01 20:25:05  djrzulf
- added polish language interface (maybe it should be at seperate
  package ?),

Revision 1.13  2003/04/01 20:09:11  djrzulf
- updated to 0.7.2.3

Revision 1.12  2002/12/09 09:08:44  qboosh
- better pl (thx wiget), added missing dirs

Revision 1.11  2002/12/08 02:54:00  blues
- macro added

Revision 1.10  2002/12/08 02:52:55  blues
- typo

Revision 1.9  2002/12/08 02:00:03  blues
- 0.7.2.2 - removed not needed now security updates, separated install
  package - should be removed after your site instalation, added missing
  files. Should work, not tested.

Revision 1.8  2002/12/07 17:32:02  orzech
- /home -> /home/services

Revision 1.7  2002/11/29 23:28:15  qboosh
- pl description

Revision 1.6  2002/11/22 11:31:50  blues
- release 3 - added ContentExpress

Revision 1.5  2002/11/22 11:04:56  blues
- second config is needed too

Revision 1.4  2002/11/22 10:13:40  blues
- added req

Revision 1.3  2002/11/18 13:27:01  blues
- release 2 - SECURITY update - STBR

Revision 1.2  2002/11/18 13:03:29  blues
- cosmetics...

Revision 1.1  2002/11/15 08:21:36  blues
- initial release - STBR
